[user]
	name = dbroqua
	email = contact@darkou.fr

[gc]
  autoDetach = false

[core]
  autocrlf = input
  whitespace = fix,-indent-with-non-tab,trailing-space,cr-at-eol

[alias]
	co = commit
	tree = log --pretty=oneline --graph --decorate --all
	treefull = log --graph --decorate --pretty=raw --abbrev-commit
	ls = log --pretty=format:"%C(yellow)%h%Cred%d\\ %Creset%s%Cblue\\ [%cn]" --decorate
	ll = log --pretty=format:"%C(yellow)%h%Cred%d\\ %Creset%s%Cblue\\ [%cn]" --decorate --numstat
	diffpull = diff HEAD@{1}
	master = checkout master
	develop = checkout develop

[diff]
	tool = meld

[color]
  ui = true

[color "diff"]
  whitespace = red reverse

[web]
  browser = firefox
